/**
 * create by robot 
 * date Tue Sep 10 15:03:55 CST 2019 
 */ 

var pageIndex=1;
$(document).ready(function(){
	//调用查询
	pageIndex=StringUtil.getQueryString('pageIndex');
	if(pageIndex==undefined||pageIndex==null){
		pageIndex=1;
	}
	queryMerchantBankCard(pageIndex);
	//绑定hover操作
	$(document).on('mouseenter','.listOperaters',function(){
		$(this).children(".ops_itemDiv").show();
		var width=15;
		$(this).children('div').find('li').each(function(){
			//获取li宽度
			width+=$(this).width();
		});
		$(this).children('div').width(width);
	})
	$(document).on('mouseleave','.listOperaters',function(){
		$(this).children(".ops_itemDiv").hide();
	});

	//日历控件
	layui.use(['layer', 'laydate'], function() {
		var layer = layui.layer;
		laydate = layui.laydate;
		laydate.render({
		elem: '#date1' //指定元素
		});
		laydate.render({
			elem: '#date2' //指定元素
		});
	});

	//行选中事件
	$("#allCheck").find("span").click(function() {
		$(this).toggleClass('checked');
		if($(this).hasClass('checked')){
			//所有列选中
		  $(".checker").find("span").each(function () {
		         $(this).addClass("checked");
		    })
		}else{
			//所有列取消选中
			$(".checker").find("span").each(function () {
				 $(this).removeClass("checked");
		    })
		}
	});

	//单个选中
	$(document).on('click','.checkeBox span',function() {
		$(this).toggleClass('checked');
		//设置头部事件
		var length=$('.checkeBox span').length;
		var count=0;
		$(".checkeBox").find("span").each(function () {
	        if($(this).hasClass("checked")){
	        	count++;
	        }
	   })
		//全选
	   if(count==length){
		   $("#allCheck").find("span").addClass('checked');
	   }else{
		   $("#allCheck").find("span").removeClass('checked');
	   }
	})
	//左右div高度相等
	var left_content_height = $(".right-content").height();
	$(".left-content").height(left_content_height+35);
	var sub_left_height=$(".res-menu").height(left_content_height-60);
});

//查询
function queryMerchantBankCard(index){
	if(typeof(index)=='undefined'){
		index=1;
	}
	var url=ctx+'/merchantBankCard/queryMerchantBankCardByPage';
	$.ajax({  
        url:url,  
        type:"post", 
        dataType:"json",  
        data:{  
        	"currPage":index,
        	"alias":$("#alias").val(),
        	"userId":$("#userId").val(),
        	"linkPhone":$("#phone").val(),
        },  
        success:function(result){  
        	var presentPage = result.currPage;
        	//渲染数据
        	$('#data_content').empty();
        	var header='';
        	$.each(result.merchantBankCardList,function(i){
        		var orderNumber = (presentPage-1)*12+i+1;
        		var merchantBankCard=result.merchantBankCardList[i];
        		var data='';
        		var createDt='';
        		if(merchantBankCard.createDt!=null){
        			createDt=new Date(merchantBankCard.createDt).toYYYYMMDD();
        		}
        	/*	var updateDt='';
        		if(merchantBankCard.updateDt!=null){
        			updateDt=new Date(merchantBankCard.updateDt).toYYYYMMDD();
        		}*/
        		var cardHolderAddress="";
        		if(merchantBankCard.cardHolderAddress!=null&&merchantBankCard.cardHolderAddress!=""){
        			cardHolderAddress=merchantBankCard.cardHolderAddress;
        		}
        		data+='<tr class="odd">';
        		data+='<td class="textc">';
				data+='		 <div class="checker checkeBox">';        		
				data+='		 <span class=""  data-id="'+merchantBankCard.id+'"><input type="checkbox"  value=""></span>';
        		data+='		</div>';
        		data+='</td>';
        		data+='<td class="textc">'+orderNumber+'</td>';
        		data+='<td class="textc">'+merchantBankCard.userId+'</td>';
        		var linkPhone = '';
        		if(StringUtil.isNotBlank(merchantBankCard.linkPhone)){
        			linkPhone = merchantBankCard.linkPhone;
        		}
        		data+='<td class="textc">'+linkPhone+'</td>';
        		if(StringUtil.isNotBlank($("#admin").val())){
        		}
        		var alias = '';
        		if(StringUtil.isNotBlank(merchantBankCard.alias)){
        			alias=merchantBankCard.alias;
        		}
        		data+='<td class="textc">'+alias+'</td>';
        		
        		data+='<td class="textc">'+merchantBankCard.merchantName+'</td>';
        		
        		var auditStatus='';
        			var aliStatus='';
        			if(merchantBankCard.aliStatus=='0'||StringUtil.isBlank(merchantBankCard.aliStatus)){
        				aliStatus='支付宝--未进件';
        			}else if(merchantBankCard.aliStatus=='1'){
        				aliStatus='支付宝--审核中';
        			}else if(merchantBankCard.aliStatus=='2'){
        				aliStatus='支付宝--审核失败';
        			}else if(merchantBankCard.aliStatus=='3'){
        				aliStatus='支付宝--已审核';
        			}else if(merchantBankCard.aliStatus=='4'){
        				aliStatus='支付宝--代签约';
        			}
        			var wechatStatus='';
        			if(merchantBankCard.wechatStatus=='0'||StringUtil.isBlank(merchantBankCard.wechatStatus)){
        				wechatStatus='微信--未进件';
        			}else if(merchantBankCard.wechatStatus=='1'){
        				wechatStatus='微信--审核中';
        			}else if(merchantBankCard.wechatStatus=='2'){
        				wechatStatus='微信--审核失败';
        			}else if(merchantBankCard.wechatStatus=='3'){
        				wechatStatus='微信--已审核';
        			}else if(merchantBankCard.wechatStatus=='4'){
        				wechatStatus='微信--代签约';
        			}
        			var leshuaStatus='';
        			if(merchantBankCard.leshuaStatus=='0'||StringUtil.isBlank(merchantBankCard.leshuaStatus)){
        				leshuaStatus='乐刷--未进件';
        			}else if(merchantBankCard.leshuaStatus=='1'){
        				leshuaStatus='乐刷--审核中';
        			}else if(merchantBankCard.leshuaStatus=='2'){
        				leshuaStatus='乐刷--审核失败';
        			}else if(merchantBankCard.leshuaStatus=='3'){
        				leshuaStatus='乐刷--已审核';
        			}else if(merchantBankCard.leshuaStatus=='4'){
        				leshuaStatus='乐刷--代签约';
        			}
        		auditStatus=aliStatus+'</br>'+wechatStatus+'</br>'+leshuaStatus;
        		data+='<td class="textc">'+auditStatus+'</td>';
        		var rate='';
        		var aliRate='';
        		if(StringUtil.isNotBlank(merchantBankCard.aliRate)){
        			aliRate='支付宝--'+merchantBankCard.aliRate;
        		}
        		var wechatRate='';
        		if(StringUtil.isNotBlank(merchantBankCard.wechatRate)){
        			wechatRate='微信--'+merchantBankCard.wechatRate;
        		}
        		var leshuaRate='';
        		if(StringUtil.isNotBlank(merchantBankCard.leshuaRate)){
        			leshuaRate='乐刷--'+merchantBankCard.leshuaRate;
        		}
        		rate+=aliRate+'</br>'+wechatRate+'</br>'+leshuaRate
        		data+='<td class="textc">'+rate+'</td>';
        		/*data+='<td class="textc">';
        		data+='<div class="positionr listOperaters">';
        		data+='		<a href="javascript:void(0);"  class="icon-large dlblock w16 h16"><img src="'+resourcePath+'/images/angle-down.png"/></a>';
        		data+='		<div class="ops_box ops_itemDiv positiona clearfix whitebg">';
        		data+='			<ul>';
        		data+='				<li class="fl ml2 mr2"><a href="javascript:void(0);" onclick="showMerchantInfo('+merchantBankCard.userId+')" class="layui-btn layui-btn-sm layui-btn-radius fa fa-detail ops_more f12">详情</a></li>';
        	    data+='			</ul>';
        	    data+='		</div>';
        	    data+='</div>';
        	    data+='</td>';*/
        	    data+='</tr>';
        	    $('#data_content').append(data);
        	});
        	//分页
        	$('#pageCount').html(result.pageCount);
      	$('#currPage').html(result.currPage);
          $('#totalCount').html(result.count);
           	//设置分页
           	pageIndex=result.currPage;
			$('#pagination').pagination({
				pageCount: result.pageCount,
				jump: true,
				coping: true,
				jump: true,
				homePage: '首页',
				endPage: '末页',
				prevContent: '上页',
				nextContent: '下页',
				current:result.currPage,
				callback:function(api){
					pageIndex=api.getCurrent();
					queryMerchantBankCard(api.getCurrent());
				}
			});
        } 
    });  
	//表头列不选中
	$("#allCheck").find("span").removeClass('checked');
}

//初始化新增
function initAddMerchantBankCard(){
	window.location=ctx+'/merchantBankCard/queryMerchantBankCardDetails?pageIndex='+pageIndex;
}

//初始化修改
function showMerchantBankCardDetails(id){
	window.location=ctx+'/merchantBankCard/queryMerchantBankCardDetails?id='+id+'&pageIndex='+pageIndex;
}

//初始化删除
function initDeleteMerchantBankCard(id){
	
		layer.open({
		type: 1,
		closeBtn: 1,		title: '提示',
		offset: 'm', //具体配置参考：offset参数项
		area: ['300px', '180px'],
		content: '<div style="padding:10px;" class="textc mt20">确认删除吗？</div>',
		btn: ['确认','取消'],
		btnAlign: 'r'	, //按钮居中
		shade: 0.3 ,//不显示遮罩
		yes: function() {
			layer.closeAll();
			deleteMerchantBankCard(id,true);
		}
	});
}

//删除
function deleteMerchantBankCard(id,showMsg){
	$.ajax({
		url:ctx+'/merchantBankCard/deleteMerchantBankCard',
		data:[{
			name:'id',
			value:id
		}],
		type:'POST',
		dataType:'json',
		success:function(){
			queryMerchantBankCard(pageIndex);
			if(showMsg){
				layer.msg('删除成功!');	
			}
		}
	});
}
//头部编辑
function initEditMerchantBankCard(){
	var count=0;
	var id=0;
	$(".checkeBox").find("span").each(function () {
         if($(this).hasClass("checked")){
        	 count++;
        	 id=$(this).data('id');
         }
    })
    if(count>1){
    	layer.msg('只能选中一行记录进行操作!');
    	return ;
    }
	 if(count==0){
    	layer.msg('请选中一行记录!');
    	return ;
	  }
	 if(id>0){
	  showMerchantBankCardDetails(id);
	 }
}
//头部删除
function initBatchDeleteMerchantBankCard(){
	var count=0;
	$(".checkeBox").find("span").each(function () {
         if($(this).hasClass("checked")){
        	 count++;
         }
    })
	
	 if(count==0){
    	layer.msg('请选中一行记录!');
    	return ;
	  }
	

	layer.open({
		type: 1,
		closeBtn: 1,
		title: '提示',
		offset: 'm', //具体配置参考：offset参数项
		area: ['300px', '180px'],
		content: '<div style="padding:10px;" class="textc mt20">确认删除吗？</div>',
		btn: ['确认','取消'],
		btnAlign: 'r', //按钮居中
		shade: 0.3, //不显示遮罩
		yes: function() {
			layer.closeAll();
			deleteBatchMerchantBankCard();
		}
	});
	
}
//批量删除
function deleteBatchMerchantBankCard(){
	
	$(".checkeBox").find("span").each(function () {
        if($(this).hasClass("checked")){
        	var id=$(this).data('id');
        	deleteMerchantBankCard(id,false);
        	layer.msg('删除成功!');	
        }
   })
}

/**
 * 跳转进件详情
 * @returns
 */
function showMerchantInfo(userId){
	window.location=ctx+"/merchantBankCard/queryMerchantInfo?userId="+userId;
}

